-- Radio button behavior

property pS, pM

property pValue       -- Value of radion button
property pGroupName   -- Button name in form
property pChecked     -- Whether button is checked by default

on beginSprite me
  pS = sprite(me.spriteNum)
  pM = pS.member
  
  if me.pChecked then
    sendAllSprites(#resetRadioButtonsFalse, me.pGroupName)
    pM.hilite = TRUE
  else
    pM.hilite = FALSE
  end if
end

on endSprite me
  pM.hilite = FALSE
end

on resetRadioButtonsFalse me, buttonGroup, sender
  if sender<>me AND buttonGroup = me.pGroupName then
    pM.hilite = FALSE
  end if
end


on mouseUp me
  sendAllSprites(#resetRadioButtonsFalse, me.pGroupName, me)
  pM.hilite = TRUE
end

on getFormData me, data
  if pM.hilite then
    --data.add(["name":pGroupName, "value":pValue])
     data[pGroupName] = pValue
  end if
end

on getPropertyDescriptionList me
  pl = [:]
  pl[#pGroupName] = [#comment: "Group-Name", #format:  #string, #default: ""]
  pl[#pValue] = [#comment: "Button-Value", #format: #string, #default: ""]
  pl[#pChecked] = [#comment: "Checked?", #format: #boolean, #default: FALSE]
  return pl
end